CREATE TABLE artista (
	dni VARCHAR2(10) NOT NULL CONSTRAINT PK_arti PRIMARY KEY, 
	nombre VARCHAR2(30) not NULL);

CREATE TABLE grupo (
	cod char(3) NOT NULL CONSTRAINT PK_gru PRIMARY KEY, 
	nombre VARCHAR2(30) NOT NULL, 
	fecha DATE NULL, 
	pais varchar(10) NULL);

CREATE TABLE club (
	cod char(3) NOT NULL CONSTRAINT PK_club PRIMARY KEY, 
	nombre varchar2(30) NULL,
	sede varchar2(30),
	num number(6),
	cod_gru char(3) CONSTRAINT FK_club_grupo REFERENCES grupo (cod));

CREATE TABLE companyia (
	cod CHAR(3) NOT NULL CONSTRAINT PK_compa PRIMARY KEY, 
	nombre varchar2(30) not NULL, 
	dir varchar2(30) NULL, 
	fax varchar2(15) NULL, 
	tfno varchar2(15) NULL);

CREATE TABLE cancion (
	COD number(3) NOT NULL CONSTRAINT PK_can PRIMARY KEY, 
	TItulo VARCHAR2(30) not NULL, 
	duracion number(2) NULL);

CREATE TABLE disco (
	cod char(3) NOT NULL CONSTRAINT PK_dis PRIMARY KEY, 
	nombre varchar2(30) NULL,
	fecha date null,
	cod_comp char(3) not null CONSTRAINT FK_disco_comp REFERENCES companyia (cod),
	cod_gru char(3) not null CONSTRAINT FK_disco_grupo REFERENCES grupo (cod));

CREATE TABLE esta (
	can number(3) NOT NULL CONSTRAINT FK_esta_can REFERENCES cancion (cod), 
	cod char(3) not NULL CONSTRAINT FK_esta_disco REFERENCES disco (cod),
	CONSTRAINT PK_esta PRIMARY KEY (can, COD));

CREATE TABLE pertenece (
	dni varchar2(10) NOT NULL CONSTRAINT FK_perte_arti REFERENCES artista (dni), 
	cod char(3) not NULL CONSTRAINT FK_perte_grupo REFERENCES grupo (cod),
	funcion varchar2(15) null,
	CONSTRAINT PK_perte PRIMARY KEY (dni, COD));

EXIT;